{% extends 'index.html' %}
{% load static %}


{% block theme-css-files %}
  <link href="{% static 'css/datepicker.css' %}" rel="stylesheet" type="text/css"/>
  <link href="{% static 'assets/css/slick.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block header-css-nocompress %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.min.css" />
{% endblock %}

{% block title %}{{html_title}}{% endblock title %}
{% block body %}
  {{ block.super }}
  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
          {% include 'order/filter.html' %}
          <div id="filter-list" class="filter">
            <filter-component></filter-component>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block page %}
{% include 'order/set_expert.html' %}
{% include 'order/executors_popup.html' %}

<div id="orders" class="cars" v-cloak>
  <setexpert v-on:event_expert="changedExpert" id="expert" :order=order :type_expert="'expert'"></setexpert>
  <setexpert  v-on:event_expert="changedExpert" id="expert_check" :order=order :type_expert="'expert_check'"></setexpert>
  <setexpert v-on:event_expert="changedExpert" id="transferring" :order=order :type_expert="'transferring'"></setexpert>
 <div class="section section_default">
   <div class="section__content">
     <div class="section__header header header_listing">
       <div class="header__main">
         <h1>{{html_title}}<span class="section__count">${ count }</span></h1>
       </div>
        {% if not request.user.is_client %}
            <div class="header__controls">
         <div class="field">
           <div class="control control_default control_m">
             <input v-model="searchQueryGlobal" class="global_search" v-on:keyup.enter="handleGlobalSearchQuery" type="text">
             <div v-on:click="handleGlobalSearchQuery" class="control__icon control__icon--button icon icon_24 icon_default">
               <svg>
                 <use xlink:href="#icon_search_24"></use>
               </svg>
             </div>
           </div>
         </div>
         <div class="header__right-bar-toggle right-bar-toggle btn btn_m btn_white btn_square">
           <div class="btn__icon icon icon_24">
             <svg>
               <use xlink:href="#icon_filter_24"></use>
             </svg>
           </div>
           <div v-show="filterCount > 0" class="btn__count">${ filterCount }</div>
         </div>
       </div>
        {% endif %}
     </div>
     <div class="section__body">
        <div class="orders-grid orders-grid_default">
          <div v-for="order in objects" class="orders-grid__item" :key="order.id">
            {% include 'order/orders.html' %}
          </div>
        </div>
      {% include 'paginator.html' %}
     </div>
   </div>
 </div>
</div>
{#<div id="order-popup">#}
{#  {% if user.is_client %}#}
{#    {% include 'client/popups.html' %}#}
{#  {% endif %}#}

  {% endblock %}
{#</div>#}


{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}">
  </script>
  <script>
    var globalState = {executors: {}}

    var store = {
      state: {
        filter: '',
        filterCount: 0
      }
    }

  </script>
  <script src="{% static 'assets/js/plugins/sliders/slick.js' %}"></script>
  <script src="{% static 'js/orderlist.bundle.js' %}"></script>
  <script src="{% static 'js/orderfilter.bundle.js' %}"></script>
  {% if user.is_client %}
  <script src="{% static 'js/userclient.bundle.js' %}"></script>
  {% endif %}

{% endblock %}

{% block script-nocompress %}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.js"></script>
{% endblock %}